<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="inlineClass"
    nsURI="http://www.modelversioning.org/ecore/inlineclass" nsPrefix="ic">
  <eClassifiers xsi:type="ecore:EClass" name="A">
    <eStructuralFeatures xsi:type="ecore:EReference" name="contains" eType="#//B"
        containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="B">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="att"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="C">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="field" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBigDecimal"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="field2" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EByte"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="D">
    <eOperations name="test"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="anotherField"/>
  </eClassifiers>
</ecore:EPackage>
